/**
 * TEMPORARY FILE FOR BACKWARD COMPATIBILITY
 * This will be removed in a future version when all imports are updated
 * @deprecated Use the new HTTP module instead
 */

// Re-export the Port80Handler from its new location
export * from '../http/port80/port80-handler.js';

// Re-export HTTP error types for backward compatibility
export * from '../http/models/http-types.js';

// Re-export selected events to avoid name conflicts
export {
  CertificateEvents,
  Port80HandlerEvents,
  CertProvisionerEvents
} from '../certificate/events/certificate-events.js';

// Import the new Port80Handler
import { Port80Handler } from '../http/port80/port80-handler.js';

// Export it as the default export for backward compatibility
export default Port80Handler;